### Method

# Cogl Framebuffer clear4f

#### Declaration [src]

    void
    cogl_framebuffer_clear4f (
      CoglFramebuffer* framebuffer,
      unsigned long buffers,
      float red,
      float green,
      float blue,
      float alpha
    )

#### Description [src]

Clears all the auxiliary buffers identified in the `buffers` mask, and if that includes the color buffer then the specified `color` is used.

#### Parameters

`buffers`

  Type: `unsigned long`

  A mask of `CoglBufferBit`s identifying which auxiliary buffers to clear.

`red`

  Type: `float`

  The red component of color to clear the color buffer too if specified in `buffers`.

`green`

  Type: `float`

  The green component of color to clear the color buffer too if specified in `buffers`.

`blue`

  Type: `float`

  The blue component of color to clear the color buffer too if specified in `buffers`.

`alpha`

  Type: `float`

  The alpha component of color to clear the color buffer too if specified in `buffers`.